Skip to content
Documentation
Get started

Settings

Retrieve a merchant account

GET
/v1/merchant-accounts/{merchantAccountId}
curl --request GET \
--url https://api.timbro.do/v1/merchant-accounts/example \
--header 'Authorization: Bearer <token>'
merchantAccountId
required
string
>= 1 characters <= 256 characters

A merchant-owned provider account.

Media typeapplication/json
Response fields and codes

A merchant-owned provider account.

object
id
required

Merchant Account identifier.

string
/^merchant_account_[0-9a-hjkmnp-tv-z]{24,}$/
object
required
string
Allowed value: merchant_account
provider
required
Any of:
string
Allowed value: azul
mode
required
Any of:
string
Allowed value: test
lifecycle
required
Any of:
string
Allowed value: active
readiness
required
object
status
required
Any of:
string
Allowed value: ready
blockers
required
Array<object>
object
code
required
Any of:
string
Allowed value: merchant_account_disabled
owner
required
Any of:
string
Allowed value: merchant
detail
string
>= 1 characters <= 256 characters
checks
required
Array<object>
object
check
required
string
>= 1 characters <= 64 characters
status
required
Any of:
string
Allowed value: passed
detail
string
>= 1 characters <= 256 characters
capabilities
required
Array<object>
unique items

Readiness for one merchant-facing account operation. Provider credentials and protocol details are never returned.

object
purpose
required
Any of:
string
Allowed value: payment
readiness
required
object
status
required
Any of:
string
Allowed value: ready
blockers
required
Array<object>
object
code
required
Any of:
string
Allowed value: merchant_account_disabled
owner
required
Any of:
string
Allowed value: merchant
detail
string
>= 1 characters <= 256 characters
checks
required
Array<object>
object
check
required
string
>= 1 characters <= 64 characters
status
required
Any of:
string
Allowed value: passed
detail
string
>= 1 characters <= 256 characters
credentialVersion
integer
>= 1
checkoutCapabilities
required

Safe effective Checkout capabilities for one Merchant Account and mode.

object
splits
required
boolean
wallets
required
Array
<= 2 items unique items
threeDsModes
required
Array
<= 2 items unique items
createdAt
required
string format: date-time
Optional fields
venueReference
string
>= 1 characters <= 256 characters
credentialVersion
integer
>= 1
request-id
required
string

Identifies this request. Quote it when you contact support.